package com.gic.haoban.manage.api.service.role;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.qdto.role.HaobanRoleQDTO;

import java.util.List;

/**
 * @author xuwenqian
 * @date 2022/9/7 9:46 上午
 */
public interface HaobanRoleApiService {

    /**
     * 添加
     *
     * @param haobanRoleQDTOList
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 11:36:08
     */
    ServiceResponse add(List<HaobanRoleQDTO> haobanRoleQDTOList);


    /**
     * 编辑
     *
     * @param haobanRoleQDTOList
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 11:44:17
     */
    ServiceResponse edit(List<HaobanRoleQDTO> haobanRoleQDTOList);


    /**
     * 根据类型查询企业的菜单权限
     *
     * @param enterpriseId   企业标识
     * @param wxEnterpriseId wx企业标识
     * @param clerkType      职员类型
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 14:02:21
     */
    ServiceResponse getByEnterpriseIdAndClerkType(String enterpriseId,String wxEnterpriseId,Integer clerkType);

}
