package com.gic.haoban.manage.service.service.out.impl.role;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.qdto.role.HaobanRoleQDTO;
import com.gic.haoban.manage.api.service.role.HaobanRoleApiService;
import com.gic.haoban.manage.service.entity.role.TabHaobanRole;
import com.gic.haoban.manage.service.pojo.bo.role.HaobanRoleBO;
import com.gic.haoban.manage.service.service.role.HaobanRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class HaobanRoleApiServiceImpl implements HaobanRoleApiService {

    @Autowired
    private HaobanRoleService haobanRoleService;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public ServiceResponse add(List<HaobanRoleQDTO> haobanRoleQDTOList) {
        List<TabHaobanRole> tabHaobanRoles = EntityUtil.changeEntityListNew(TabHaobanRole.class, haobanRoleQDTOList);
        return ServiceResponse.success(haobanRoleService.insertBatch(tabHaobanRoles));
    }


    @Override
    @Transactional(rollbackFor = Exception.class)
    public ServiceResponse edit(List<HaobanRoleQDTO> haobanRoleQDTOList) {
        List<TabHaobanRole> tabHaobanRoles = EntityUtil.changeEntityListNew(TabHaobanRole.class, haobanRoleQDTOList);
        for (TabHaobanRole tabHaobanRole : tabHaobanRoles) {
            haobanRoleService.update(tabHaobanRole);
        }
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse getByEnterpriseIdAndClerkType(String enterpriseId, String wxEnterpriseId, Integer clerkType) {
        List<HaobanRoleBO> haobanRoleBOList = haobanRoleService.getByEnterpriseIdAndClerkType(enterpriseId, wxEnterpriseId, clerkType);
        return ServiceResponse.success(haobanRoleBOList);
    }
}
